# MixpanelLogLevel

    public enum MixpanelLogLevel : String

This defines the various levels of logging that a message may be tagged with. This allows hiding and showing different logging levels at run time depending on the environment

- `debug`

  MixpanelLogging displays all logs and additional debug information that may be useful to a developer

  #### Declaration

  Swift

      case debug

- `info`

  MixpanelLogging displays all logs (except debug)

  #### Declaration

  Swift

      case info

- `warning`

  MixpanelLogging displays only warnings and above

  #### Declaration

  Swift

      case warning

- `error`

  MixpanelLogging displays only errors and above

  #### Declaration

  Swift

      case error

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-03-17)

Generated by jazzy ♪♫ v0.15.4, a Realm project.